<?php
include('cfg.php');
echo $style;
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';
$act=htmlspecialchars($_GET['act']);
$wid=intval($_GET['wid']);
$wars=mysql_query("SELECT * FROM wars WHERE id='$wid'");
if(mysql_num_rows($wars) == 1)
{
	$war=mysql_fetch_array($wars);
	$test_ally=mysql_result(mysql_query("SELECT count(*) FROM ally WHERE (`id_user`='$id' OR `id_ally`='$id') AND (`id_user`='$war[id_cover]' OR `id_ally`='$war[id_cover]')"),0);

	if($war['id_cover'] == $id || $test_ally >= '1')
	{
  	$p=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE id='$war[id_attacker]'"));

switch ($act) {
  case "":
   $rand_iRansacking = rand(0,4);
		echo '<center><img src="./i/Ransacking'.$rand_iRansacking.'.png" alt=*></center>';
   echo '<center> <b>Вторжение ['.$p['country'].']</center></b></div><div class="money">
    <u>Находиться на территории:</u><br />
    ';
    time_leave($war['time_in']);
    echo '<br />
    <u>Последний раз было атаковано:</u><br />
    ';
    time_leave($war['time_bstrike']);
    echo '
    </div><div class="money"><u>Войска</u>:<br />
    '.$img_s.' Пехотинцы: <b>'.$war['solders'].'</b><br />
    '.$img_h.' Кавалерсты: <b>'.$war['horses'].'</b><br />
    '.$img_a.' Стрелки: <b>'.$war['archers'].'</b><br />
    </div><a class="razd" href="'.$self.'&act=strike">Атаковать</a>
    ';
    break;
  case "strike":

    if($_POST['solders'] == "" || $_POST['horses'] == "" || $_POST['archers'] == "" )
    {
    	echo '
    	<form action="'.$self.'" method="post">
    	Пехотинцы:<br />
    	<input name="solders" type="text" value="'.$user['solders'].'"><br />
    	Кавалеристы:<br />
    	<input name="horses" type="text" value="'.$user['horses'].'"><br />
    	Стрелки:<br />
    	<input name="archers" type="text" value="'.$user['archers'].'"><br />
    	<input type="submit" value="Отправить">
		</form>
		Внимание. Если у вас большая армия, не рекоммендуем отправлять <b>сразу все</b> войска, отправляйте равное количество войнов противнику или меньше, если вы уверены что ваши силы превосходят.
		</div>
    	';
    }
    else
    {
    	$solders=intval(abs($_POST['solders']));
    	$horses=intval(abs($_POST['horses']));
    	$archers=intval(abs($_POST['archers']));
    	$total=$solders+$horses+$archers;
    	$next_b=$war['time_bstrike']+60*30;
		$first_b=$war['time_in']+60*60;
		$gena_isset = mysql_result(mysql_query("SELECT count(*) FROM `general` WHERE `id_user`='$id'"),0);
		if ($gena_isset == '0') { $error = 'У вас нет генерала'; }
    	$error='';
    	if($user['solders'] < $solders){ $error='У вас нету столько пехотинцев!'; }
    	if($user['horses'] < $horses){ $error='У вас нету столько коней!'; }
    	if($user['archers'] < $archers){ $error='У вас нету столько стрелков!'; }
    	if($total < 1){ $error='Вам необходимо послать хотя бы одного солдата!'; }
    	if($next_b > $time){ $error='Вы можете атаковать с интервалом в 30 минут!'; }
		if($first_b > $time){ $error='Вы можете атаковать спустя час после начала войны!'; }
    	if($error == '')
    	{
    		//обновляем войну что мы атаковали
    		mysql_query("UPDATE wars SET time_bstrike='$time' WHERE id='$wid'");
    		//отнимаем от игрока солдаты
    		mysql_query("UPDATE users SET solders=solders-'$solders',
    									  horses=horses-'$horses',
    									  archers=archers-'$archers'
    									  WHERE id='$id'
    									  ");
    		//в "бой" заносим параметры атакующего(u1-3, u_id=$id и защищающегося e_ - префикс
    		mysql_query("
    		INSERT INTO `fight` (`id` ,
`u1` ,
`u2` ,
`u3` ,
`e1` ,
`e2` ,
`e3` ,
`u_id` ,
`e_id`
)
VALUES (NULL , '$solders', '$horses', '$archers', '$war[solders]', '$war[horses]', '$war[archers]', '$id', '$war[id_attacker]'
)
    		");
    		// получаем айди битвы
        	$recive_id=mysql_insert_id();
        	//подключаем файл мега супер пупер автоматизированый который можно сказать сделает всё за вас)
        	include('fight.php');
        	//в том файле $new_fight - это наша битва, а точнее итог остачь войск
        	//делаем подсчёты сколько всего негров осталось у атакуюещего(id) и защищающегося (кого выбиваем)
        	$total_a=$new_fight['u1']+$new_fight['u2']+$new_fight['u3'];
        	$total_d=$new_fight['e1']+$new_fight['e2']+$new_fight['e3'];
        	//ну дальше бла бла бла, прочая хрень, в том числе и решение итога - какая сука убилась об стенку))))
        	$next_strike=$time+60*60;
        	$defend_country=mysql_fetch_array(mysql_query("SELECT country FROM users WHERE id='$war[id_cover]'"));
            // echo $total_a.' '.$total_d.'<br />';
        	if($total_a >= 0 && $total_d <= 0)
        	{
        		//выбили
        		mysql_query("DELETE FROM wars WHERE id='$wid'");
        		mysql_query("UPDATE users SET
        								  solders=solders+'$new_fight[u1]',
    									  horses=horses+'$new_fight[u2]',
    									  archers=archers+'$new_fight[u3]' WHERE id='$id'");

    			$slost=$solders-$new_fight[u1];
    			$hlost=$horses-$new_fight[u2];
    			$alost=$archers-$new_fight[u3];
    			$text='Отряд <u>'.$user['country'].'</u> уничтожил ваши войска с территории <u>'.$defend_country[0].'</u>. Потери противника:
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
    			send_mess($p['login'],$text,'Система','');
    			echo 'Вы уничтожили врага!<br /> Потери:<br />
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
    			';


				$all = intval($slost+$hlost+$alost);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='11' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='11',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='11' AND `user`='$id'");
						  }



				//АЧИВКА ВЫБИВАНИЯ
				if ($war[id_cover] == $id)
				{
				$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='5' AND `user`='$id'"),0);
					if ($isset_ach == '0')
						{
						mysql_query("INSERT INTO `achieve` SET `num`='5',`count`='1',`user`='$id';");
						} else
							  {
							  mysql_query("UPDATE `achieve` SET `count`=count+'1' WHERE `num`='5' AND `user`='$id'");
							  }
				}

				if ($war[id_cover] != $id)
					{
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='6' AND `user`='$id'"),0);
					if ($isset_ach == '0')
						{
						mysql_query("INSERT INTO `achieve` SET `num`='6',`count`='1',`user`='$id';");
						} else
							  {
							  mysql_query("UPDATE `achieve` SET `count`=count+'1' WHERE `num`='6' AND `user`='$id'");
							  }
					}


        	}
        	elseif($total_a <= 0 && $total_d > 0)
        	{
        		//ничего не сделали



    			$slost=$war['solders']-$new_fight[e1];
    			if($slost < 0)
    			{
    			$slost=0;
    			}
    			$hlost=$war['horses']-$new_fight[e2];
    			if($hlost < 0)
    			{
    			$hlost=0;
    			}
    			$alost=$war['archers']-$new_fight[e3];
    			if($alost < 0)
    			{
    			$alost=0;
    			}
    			mysql_query("UPDATE wars SET
        					solders=solders-'$slost',
    						horses=horses-'$hlost',
    						archers=archers-'$alost' WHERE id='$wid'");
    			$text='Отряд <u>'.$user['country'].'</u> пытался разбить ваши войска на территории <u>'.$defend_country[0].'</u> но потерпел неудачу. Ваши потери:
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
    			send_mess($p['login'],$text,'Система','');
    			echo 'Вы не смогли уничтожить врага!<br /> Потери противника:<br />
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
    			';


				$all = intval($slost+$hlost+$alost);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='11' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='11',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='11' AND `user`='$id'");
						  }
        	}

        	else
        	{
        		//ничья
        		$slost=$war['solders']-$new_fight[e1];
    			if($slost < 0)
    			{
    			$slost=0;
    			}
    			$hlost=$war['horses']-$new_fight[e2];
    			if($hlost < 0)
    			{
    			$hlost=0;
    			}
    			$alost=$war['archers']-$new_fight[e3];
    			if($alost < 0)
    			{
    			$alost=0;
    			}
    			mysql_query("UPDATE wars SET
        					solders=solders-'$slost',
    						horses=horses-'$hlost',
    						archers=archers-'$alost' WHERE id='$wid'");
    			$text='Отряд <u>'.$user['country'].'</u> пытался разбить ваши войска на территории <u>'.$defend_country[0].'</u> но потерпел неудачу. Ваши потери:
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
    			send_mess($p['login'],$text,'Система','');
    			echo 'Вы не смогли уничтожить врага!<br />Потери противника:<br />
    			<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
    			';


			$all = intval($slost+$hlost+$alost);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='11' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='11',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='11' AND `user`='$id'");
						  }


			}

    	}
    	else
    	{
    		echo $error.'</div>';
    	}
    }

    break;
  case "verb":

    break;
}
	}
	else
	{
		echo 'Вторжение не найдено!</div>';
	}
}
else
{
	echo 'Война не найдена!';
}
echo '<div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';
?>